Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ModuleMetaData

    java.lang.Object
      org.wso2.wsas.admin.service.util.ModuleMetaData

    public class ModuleMetaData

extends java.lang.Object

Constructor Summary
`ModuleMetaData()`
`ModuleMetaData(java.lang.String moduleId, java.lang.String moduleVersion)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEngaged()`
`java.lang.String` | `getModuleId()`
`java.lang.String` | `getModulename()`
`java.lang.String` | `getModuleVersion()`
`void` | `setDescription(java.lang.String description)`
`void` | `setEngaged(java.lang.String engaged)`
`void` | `setModuleId(java.lang.String moduleId)`
`void` | `setModulename(java.lang.String modulename)`
`void` | `setModuleVersion(java.lang.String moduleVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleMetaData

    public ModuleMetaData()

### ModuleMetaData

    public ModuleMetaData(java.lang.String moduleId,
                          java.lang.String moduleVersion)

Method Detail

### getModuleId

    public java.lang.String getModuleId()

### setModuleId

    public void setModuleId(java.lang.String moduleId)

### getModuleVersion

    public java.lang.String getModuleVersion()

### setModuleVersion

    public void setModuleVersion(java.lang.String moduleVersion)

### getModulename

    public java.lang.String getModulename()

### setModulename

    public void setModulename(java.lang.String modulename)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getEngaged

    public java.lang.String getEngaged()

### setEngaged

    public void setEngaged(java.lang.String engaged)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD